package cn.com.qmth.stmms.common.enums;

/**
 * 试评模式
 */
public enum TrialMode {

    SHARE("成绩汇总模式"), EXCLUSIVE("分组比对模式");

    private String name;

    private TrialMode(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static TrialMode findByName(String name) {
        for (TrialMode c : TrialMode.values()) {
            if (c.toString().equalsIgnoreCase(name)) {
                return c;
            }
        }
        return null;
    }
}
